## ShowPositions

Category

Realization

Function

Shows the positions of a field.

Syntax

    output = ShowPositions(input);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field whose positions are to be shown
`every` | scalar | 1.0 | factor used to reduce the number of positions shown

Outputs

Name | Type | Description
--- | --- | ---
`output` | color field | renderable positions of input field

Functional Details

This module creates an output field that shows the positions of a specified input.

`input` | specifies the object whose positions are to be shown.
`every` | determines the relative number of input positions shown in the output. By default, all positions are shown. The multiplicand used is the reciprocal of the parameter value (e.g., given a value of 2, the output shows half the positions in the input).

Notes:

1. If the input object lacks a "colors" component, the module adds a default color to the output.
2. Position-dependent color and data components are passed to the output.

Components

Adds a "colors" component if the input does not already have one. All input components, except "connections," are propagated to the output. Invalid positions are not passed through to the output.

Example Visual Programs

    MovingCamera.net
    UsingSwitchAndRoute.net

See Also

ShowBoundary, ShowBox, ShowConnections

[ OpenDX Home at IBM | OpenDX.org ]